#include <Servo.h>

int servoLeftPin = 3;
int servoRightPin  = 4;
int servoUpPin  = 5;
int servoDownPin  = 6;

Servo servoLeft;
Servo servoRight;
Servo servoUp;
Servo servoDown;

int goup = 60;
int godown = 15;

void setup()
{
    SerialUSB.begin(38400);
    servoLeft.attach(servoLeftPin);
    servoRight.attach(servoRightPin);
    servoUp.attach(servoUpPin);
    servoDown.attach(servoDownPin);

    servoLeft.write(godown);
    servoRight.write(godown);
    servoDown.write(godown);
    servoUp.write(godown);
	
}

void loop()
{
    String fromCam = SerialUSB.readString();
    SerialUSB.print('k');

    if(fromCam[0]== '1'){
        servoUp.write(goup);
    } else if(fromCam[0]== '0'){
        servoUp.write(godown);
    }
    if(fromCam[1]== '1'){
        servoDown.write(goup);
    } else if(fromCam[1]== '0'){
        servoDown.write(godown);
    }
    if(fromCam[2]== '1'){
        servoLeft.write(goup);
    } else if(fromCam[2]== '0'){
        servoLeft.write(godown);
    }
    if(fromCam[3]== '1'){
        servoRight.write(goup);
    } else if(fromCam[3]== '0'){
        servoRight.write(godown);
    }
}
